%define	major	0
%define libname	%mklibname %{name} %{major}
%define	develname	%mklibname	%{name} -d	
%define badlibname	%mklibname lib%{name} %{major}
%define	baddevelname	%mklibname	lib%{name} -d

Name:		podofo
Version:	0.9.2
Release:	%mkrel 2
Summary:	Tools and libraries to work with the PDF file format
Group:		Publishing
License:	GPL and LGPL
URL:		http://podofo.sourceforge.net
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	cmake 
BuildRequires:	zlib-devel 
BuildRequires:	jpeg-devel 
BuildRequires:	tiff-devel 
BuildRequires:	freetype-devel 
BuildRequires:	fontconfig-devel
BuildRequires:	cppunit-devel 
BuildRequires:	lua5.1-devel 
BuildRequires:	doxygen
BuildRequires:	pkgconfig(libcrypto)

%description
PoDoFo is a library to work with the PDF file format. The name comes from
the first letter of PDF (Portable Document Format). A few tools to work
with PDF files are already included in the PoDoFo package.

The PoDoFo library is a free, portable C++ library which includes classes
to parse PDF files and modify their contents into memory. The changes can be
written back to disk easily. The parser can also be used to extract
information from a PDF file (for example the parser could be used in a PDF
viewer). Besides parsing PoDoFo includes also very simple classes to create
your own PDF files. All classes are documented so it is easy to start writing
your own application using PoDoFo.


%package -n %{libname}
Summary:	Runtime library for %{name}
Group:		System/Libraries
License:	LGPLv2+
Obsoletes:	%{badlibname} < %{version}-%{release}

%description -n %{libname}
Runtime library for %{name}.


%package -n 	%{develname}
Summary:	Development files for %{name} library
Group:		Development/C
License:	LGPLv2+
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{baddevelname} < %{version}-%{release}

%description -n %{develname}
Development files and documentation for the %{name} library.


%prep
%setup -q

%build
%cmake -DPODOFO_BUILD_SHARED=1 \
%ifarch x86_64 
-DWANT_LIB64=1 \
%endif
..

%make 

# build the docs
doxygen ../

# set timestamps on generated files to some constant
#find ../doc/html -exec touch -r %{Source0} {} \;


%install
%makeinstall_std -C build

%files
%doc COPYING
%{_bindir}/%{name}*

%files -n %{libname}
%doc AUTHORS COPYING.LIB ChangeLog FAQ.html README.html TODO
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%doc doc/html
%{_includedir}/%{name}
%{_libdir}/*.so
%{_mandir}/man1/%{name}*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.9.2-2.mga4
+ Revision: 528172
- Mageia 4 Mass Rebuild

* Sun Jun 16 2013 sander85 <sander85> 0.9.2-1.mga4
+ Revision: 443640
- New version: 0.9.2

* Sun Jan 13 2013 umeabot <umeabot> 0.9.1-3.mga3
+ Revision: 378003
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 13 2013 fwang <fwang> 0.9.1-2.mga3
+ Revision: 367781
- fix build with gcc 4.7

* Fri Dec 23 2011 fwang <fwang> 0.9.1-2.mga2
+ Revision: 186418
- rebuild for new libtiff

* Wed Sep 28 2011 supp <supp> 0.9.1-1.mga2
+ Revision: 150008
- update to 0.9.1

* Sun Mar 27 2011 blino <blino> 0.8.4-1.mga1
+ Revision: 78045
- imported package podofo


* Tue Oct 26 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.8.4-1mdv2011.0
+ Revision: 589450
- update to 0.8.4

* Wed Aug 25 2010 Funda Wang <fwang@mandriva.org> 0.8.2-1mdv2011.0
+ Revision: 573150
- new version 0.8.2

* Fri Jul 30 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.8.1-3mdv2011.0
+ Revision: 563233
- add patch from upstream SVN to fix compilation
- update to 0.8.1

* Fri May 28 2010 Juan Luis Baptiste <juancho@mandriva.org> 0.8.0-1mdv2011.0
+ Revision: 546552
- Updated to 0.8.0 and removed patch to fix fprint strings.

* Tue Apr 20 2010 Tomas Kindl <supp@mandriva.org> 0.7.0-2mdv2010.1
+ Revision: 537257
- fix really really bad libname/develname and obsolete it...

* Mon Apr 19 2010 Tomas Kindl <supp@mandriva.org> 0.7.0-1mdv2010.1
+ Revision: 536544
- initial PoDoFo import
- create podofo

